Index: Invariant/test/utest_use_cases.py
===================================================================
--- Invariant/test/utest_use_cases.py	(revision 4d270706a911c1f44ade04ced249fad41d170e08)
+++ Invariant/test/utest_use_cases.py	(revision 277aab4e43451fac769bdb9e2116175e31795d2e)
@@ -7,5 +7,4 @@
 from DataLoader.loader import  Loader
 from sans.invariant import invariant
-_ERR_SURFACE = 0.3
 
 class Data1D:
@@ -130,5 +129,5 @@
         self.assertAlmostEquals(qstar, 7.48959e-5,2)
         self.assertAlmostEquals(v, 0.005644689, 4)
-        self.assertAlmostEquals(s + _ERR_SURFACE, 9.42e+2, 1)
+        self.assertAlmostEquals(s , 941.7452, 3)
         
     def test_use_case_2(self):
@@ -151,5 +150,5 @@
         self.assertAlmostEquals(qstar, 7.48959e-5,2)
         self.assertAlmostEquals(v, 0.005644689, 1)
-        self.assertAlmostEquals(s + _ERR_SURFACE, 9.42e+2, 1)
+        self.assertAlmostEquals(s , 941.7452, 3)
        
         
@@ -187,5 +186,5 @@
         self.assertAlmostEquals(qstar, 7.49e-5, 1)
         self.assertAlmostEquals(v, 0.005648401, 4)
-        self.assertAlmostEquals(s + _ERR_SURFACE, 9.42e+2, 1)
+        self.assertAlmostEquals(s , 941.7452, 3)
             
     def test_use_case_4(self):
@@ -213,5 +212,5 @@
         self.assertAlmostEquals(qstar, 7.49e-5,2)
         self.assertAlmostEquals(v, 0.005952674, 3)
-        self.assertAlmostEquals(s + _ERR_SURFACE, 9.42e+2, 1)
+        self.assertAlmostEquals(s , 941.7452, 3)
         
     def test_use_case_5(self):
@@ -240,5 +239,5 @@
         self.assertAlmostEquals(qstar, 7.88981e-5,2)
         self.assertAlmostEquals(v, 0.005952674, 3)
-        self.assertAlmostEquals(s + _ERR_SURFACE, 9.42e+2, 1)
+        self.assertAlmostEquals(s , 941.7452, 3)
       
 class TestInvSlitSmear(unittest.TestCase):
@@ -266,5 +265,5 @@
         self.assertAlmostEquals(qstar, 4.1539e-4, 1)
         self.assertAlmostEquals(v, 0.032164596, 3)
-        self.assertAlmostEquals(s + _ERR_SURFACE, 9.42e+2, 1)
+        self.assertAlmostEquals(s, 941.7452, 3)
        
     def test_use_case_2(self):
@@ -283,5 +282,5 @@
         self.assertAlmostEquals(qstar, 4.1539e-4, 1)
         self.assertAlmostEquals(v, 0.032164596,3)
-        self.assertAlmostEquals(s + _ERR_SURFACE, 9.42e+2, 1)
+        self.assertAlmostEquals(s , 941.7452, 3)
         
     def test_use_case_3(self):
@@ -306,5 +305,5 @@
         self.assertAlmostEquals(qstar,4.1534e-4,3)
         self.assertAlmostEquals(v, 0.032164596, 3)
-        self.assertAlmostEquals(s + _ERR_SURFACE, 9.42e+2, 1)
+        self.assertAlmostEquals(s , 941.7452, 3)
             
     def test_use_case_4(self):
@@ -332,5 +331,5 @@
         self.assertAlmostEquals(qstar, 4.1539e-4, 2)
         self.assertAlmostEquals(v, 0.032164596, 3)
-        self.assertAlmostEquals(s + _ERR_SURFACE, 9.42e+2, 1)
+        self.assertAlmostEquals(s , 941.7452, 3)
         
     def test_use_case_5(self):
@@ -359,5 +358,5 @@
         self.assertAlmostEquals(qstar, 4.1534e-4,3)
         self.assertAlmostEquals(v, 0.032164596, 2)
-        self.assertAlmostEquals(s + _ERR_SURFACE, 9.42e+2, 1)
+        self.assertAlmostEquals(s , 941.7452, 3)
         
   
@@ -385,5 +384,5 @@
         self.assertAlmostEquals(qstar, 1.361677e-3, 4)
         self.assertAlmostEquals(v, 0.115352622, 2)
-        self.assertAlmostEquals(s + _ERR_SURFACE, 9.42e+2, 1 )
+        self.assertAlmostEquals(s , 941.7452, 3 )
         
     def test_use_case_2(self):
@@ -403,5 +402,5 @@
         self.assertAlmostEquals(qstar, 1.361677e-3, 4)
         self.assertAlmostEquals(v, 0.115352622, 2)
-        self.assertAlmostEquals(s + _ERR_SURFACE, 9.42e+2, 1 )
+        self.assertAlmostEquals(s , 941.7452, 3 )
        
     def test_use_case_3(self):
@@ -424,5 +423,5 @@
         self.assertAlmostEquals(qstar, 0.00138756,2)
         self.assertAlmostEquals(v, 0.117226896,2)
-        self.assertAlmostEquals(s + _ERR_SURFACE, 9.42E+02, 1)
+        self.assertAlmostEquals(s ,941.7452, 3)
       
     def test_use_case_4(self):
